Tcl Extension Architecture (TEA) Sample Extension

Check-in [95c2476b13]
Login
Bounty program for improvements to Tcl and certain Tcl packages.
Tcl 2019 Conference, Houston/TX, US, Nov 4-8
Send your abstracts to tclconference@googlegroups.com
or submit via the online form by Sep 9.

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview
Comment:merge
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:95c2476b139e2b80bb9d3e897434d2053d1a4952
User & Date: jan.nijtmans 2012-07-27 20:38:25
Context
2012-07-31
23:19
Sync with latest Tcl 8.6 updates check-in: 4ec49d5620 user: jan tags: trunk
2012-07-27
20:38
merge check-in: 95c2476b13 user: jan.nijtmans tags: trunk
20:35
add missing man.macros Closed-Leaf check-in: e4de16bb54 user: jan.nijtmans tags: tea-3-branch
2010-12-15
05:35
Upgrade to newer install-sh and use it. check-in: 1f4d6ba364 user: stwo tags: trunk
Changes
Hide Diffs Side-by-Side Diffs Ignore Whitespace Patch

Deleted .cvsignore.

     1         -autom4te.cache
     2         -Makefile
     3         -pkgIndex.tcl
     4         -*.dll
     5         -*.so
     6         -config.status

Changes to ChangeLog.

            1  +2012-02-27  Jan Nijtmans <nijtmans@users.sf.net>
            2  +
            3  +	* configure:	Regenerated to use latest TEA tcl.m4.
            4  +	* <all>:        Purge RCS keywords.
            5  +
     1      6   2010-12-15  Stuart Cassoff  <stwo@users.sourceforge.net>
     2      7   
     3      8   	* configure.in:	Upgrade to newer install-sh and use it.
     4      9   	* Makefile.in:
     5     10   	* configure:	Regenerated to use latest TEA tcl.m4.
     6     11   
     7     12   2010-12-14  Stuart Cassoff  <stwo@users.sourceforge.net>

Changes to Makefile.in.

     7      7   #	replaced in the actual Makefile.
     8      8   #
     9      9   # Copyright (c) 1999 Scriptics Corporation.
    10     10   # Copyright (c) 2002-2005 ActiveState Corporation.
    11     11   #
    12     12   # See the file "license.terms" for information on usage and redistribution
    13     13   # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    14         -#
    15         -# RCS: @(#) $Id: Makefile.in,v 1.72 2010/12/15 05:35:07 stwo Exp $
    16     14   
    17     15   #========================================================================
    18     16   # Add additional lines to handle any additional AC_SUBST cases that
    19     17   # have been added in a customized configure script.
    20     18   #========================================================================
    21     19   
    22     20   #SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@

Changes to configure.

   304    304   #  include <stdint.h>
   305    305   # endif
   306    306   #endif
   307    307   #if HAVE_UNISTD_H
   308    308   # include <unistd.h>
   309    309   #endif"
   310    310   
   311         -ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CYGPATH EXEEXT PKG_LIB_FILE PKG_STUB_LIB_FILE PKG_STUB_SOURCES PKG_STUB_OBJECTS PKG_TCL_SOURCES PKG_HEADERS PKG_INCLUDES PKG_LIBS PKG_CFLAGS TCL_VERSION TCL_PATCH_LEVEL TCL_BIN_DIR TCL_SRC_DIR TCL_LIB_FILE TCL_LIB_FLAG TCL_LIB_SPEC TCL_STUB_LIB_FILE TCL_STUB_LIB_FLAG TCL_STUB_LIB_SPEC CLEANFILES TCL_LIBS TCL_DEFS TCL_EXTRA_CFLAGS TCL_LD_FLAGS TCL_SHLIB_LD_LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC OBJEXT CPP SET_MAKE RANLIB ac_ct_RANLIB EGREP MATH_LIBS PKG_SOURCES PKG_OBJECTS TCL_INCLUDES TCL_THREADS SHARED_BUILD AR ac_ct_AR CELIB_DIR RC ac_ct_RC CFLAGS_DEBUG CFLAGS_OPTIMIZE CFLAGS_WARNING STLIB_LD SHLIB_LD SHLIB_LD_LIBS SHLIB_CFLAGS LD_LIBRARY_PATH_VAR CFLAGS_DEFAULT LDFLAGS_DEFAULT TCL_DBGX MAKE_LIB MAKE_SHARED_LIB MAKE_STATIC_LIB MAKE_STUB_LIB RANLIB_STUB VC_MANIFEST_EMBED_DLL VC_MANIFEST_EMBED_EXE TCLSH_PROG LIBOBJS LTLIBOBJS'
          311  +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CYGPATH EXEEXT PKG_LIB_FILE PKG_STUB_LIB_FILE PKG_STUB_SOURCES PKG_STUB_OBJECTS PKG_TCL_SOURCES PKG_HEADERS PKG_INCLUDES PKG_LIBS PKG_CFLAGS TCL_VERSION TCL_PATCH_LEVEL TCL_BIN_DIR TCL_SRC_DIR TCL_LIB_FILE TCL_LIB_FLAG TCL_LIB_SPEC TCL_STUB_LIB_FILE TCL_STUB_LIB_FLAG TCL_STUB_LIB_SPEC CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC OBJEXT CLEANFILES TCL_LIBS TCL_DEFS TCL_EXTRA_CFLAGS TCL_LD_FLAGS TCL_SHLIB_LD_LIBS CPP SET_MAKE RANLIB ac_ct_RANLIB EGREP MATH_LIBS PKG_SOURCES PKG_OBJECTS TCL_INCLUDES TCL_THREADS SHARED_BUILD AR ac_ct_AR CELIB_DIR RC ac_ct_RC CFLAGS_DEBUG CFLAGS_OPTIMIZE CFLAGS_WARNING STLIB_LD SHLIB_LD SHLIB_LD_LIBS SHLIB_CFLAGS LD_LIBRARY_PATH_VAR CFLAGS_DEFAULT LDFLAGS_DEFAULT TCL_DBGX MAKE_LIB MAKE_SHARED_LIB MAKE_STATIC_LIB MAKE_STUB_LIB RANLIB_STUB VC_MANIFEST_EMBED_DLL VC_MANIFEST_EMBED_EXE TCLSH_PROG LIBOBJS LTLIBOBJS'
   312    312   ac_subst_files=''
   313    313   
   314    314   # Initialize some variables set by options.
   315    315   ac_init_help=
   316    316   ac_init_version=false
   317    317   # The variables have the same names as the options, with
   318    318   # dashes changed to underlines.
................................................................................
  1605   1605   	    fi
  1606   1606   
  1607   1607   fi
  1608   1608   
  1609   1609   
  1610   1610   	if test x"${ac_cv_c_tclconfig}" = x ; then
  1611   1611   	    TCL_BIN_DIR="# no Tcl configs found"
  1612         -	    { { echo "$as_me:$LINENO: error: Can't find Tcl configuration definitions" >&5
  1613         -echo "$as_me: error: Can't find Tcl configuration definitions" >&2;}
         1612  +	    { { echo "$as_me:$LINENO: error: Can't find Tcl configuration definitions. Use --with-tcl to specify a directory containing tclConfig.sh" >&5
         1613  +echo "$as_me: error: Can't find Tcl configuration definitions. Use --with-tcl to specify a directory containing tclConfig.sh" >&2;}
  1614   1614      { (exit 1); exit 1; }; }
  1615   1615   	else
  1616   1616   	    no_tcl=
  1617   1617   	    TCL_BIN_DIR="${ac_cv_c_tclconfig}"
  1618   1618   	    echo "$as_me:$LINENO: result: found ${TCL_BIN_DIR}/tclConfig.sh" >&5
  1619   1619   echo "${ECHO_T}found ${TCL_BIN_DIR}/tclConfig.sh" >&6
  1620   1620   	fi
  1621   1621       fi
  1622   1622   
  1623         -
  1624         -    echo "$as_me:$LINENO: checking for existence of ${TCL_BIN_DIR}/tclConfig.sh" >&5
  1625         -echo $ECHO_N "checking for existence of ${TCL_BIN_DIR}/tclConfig.sh... $ECHO_C" >&6
  1626         -
  1627         -    if test -f "${TCL_BIN_DIR}/tclConfig.sh" ; then
  1628         -        echo "$as_me:$LINENO: result: loading" >&5
  1629         -echo "${ECHO_T}loading" >&6
  1630         -	. "${TCL_BIN_DIR}/tclConfig.sh"
  1631         -    else
  1632         -        echo "$as_me:$LINENO: result: could not find ${TCL_BIN_DIR}/tclConfig.sh" >&5
  1633         -echo "${ECHO_T}could not find ${TCL_BIN_DIR}/tclConfig.sh" >&6
  1634         -    fi
  1635         -
  1636         -    # eval is required to do the TCL_DBGX substitution
  1637         -    eval "TCL_LIB_FILE=\"${TCL_LIB_FILE}\""
  1638         -    eval "TCL_STUB_LIB_FILE=\"${TCL_STUB_LIB_FILE}\""
  1639         -
  1640         -    # If the TCL_BIN_DIR is the build directory (not the install directory),
  1641         -    # then set the common variable name to the value of the build variables.
  1642         -    # For example, the variable TCL_LIB_SPEC will be set to the value
  1643         -    # of TCL_BUILD_LIB_SPEC. An extension should make use of TCL_LIB_SPEC
  1644         -    # instead of TCL_BUILD_LIB_SPEC since it will work with both an
  1645         -    # installed and uninstalled version of Tcl.
  1646         -    if test -f "${TCL_BIN_DIR}/Makefile" ; then
  1647         -        TCL_LIB_SPEC="${TCL_BUILD_LIB_SPEC}"
  1648         -        TCL_STUB_LIB_SPEC="${TCL_BUILD_STUB_LIB_SPEC}"
  1649         -        TCL_STUB_LIB_PATH="${TCL_BUILD_STUB_LIB_PATH}"
  1650         -    elif test "`uname -s`" = "Darwin"; then
  1651         -	# If Tcl was built as a framework, attempt to use the libraries
  1652         -	# from the framework at the given location so that linking works
  1653         -	# against Tcl.framework installed in an arbitrary location.
  1654         -	case ${TCL_DEFS} in
  1655         -	    *TCL_FRAMEWORK*)
  1656         -		if test -f "${TCL_BIN_DIR}/${TCL_LIB_FILE}"; then
  1657         -		    for i in "`cd "${TCL_BIN_DIR}"; pwd`" \
  1658         -			     "`cd "${TCL_BIN_DIR}"/../..; pwd`"; do
  1659         -			if test "`basename "$i"`" = "${TCL_LIB_FILE}.framework"; then
  1660         -			    TCL_LIB_SPEC="-F`dirname "$i" | sed -e 's/ /\\\\ /g'` -framework ${TCL_LIB_FILE}"
  1661         -			    break
  1662         -			fi
  1663         -		    done
  1664         -		fi
  1665         -		if test -f "${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"; then
  1666         -		    TCL_STUB_LIB_SPEC="-L`echo "${TCL_BIN_DIR}"  | sed -e 's/ /\\\\ /g'` ${TCL_STUB_LIB_FLAG}"
  1667         -		    TCL_STUB_LIB_PATH="${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"
  1668         -		fi
  1669         -		;;
  1670         -	esac
  1671         -    fi
  1672         -
  1673         -    # eval is required to do the TCL_DBGX substitution
  1674         -    eval "TCL_LIB_FLAG=\"${TCL_LIB_FLAG}\""
  1675         -    eval "TCL_LIB_SPEC=\"${TCL_LIB_SPEC}\""
  1676         -    eval "TCL_STUB_LIB_FLAG=\"${TCL_STUB_LIB_FLAG}\""
  1677         -    eval "TCL_STUB_LIB_SPEC=\"${TCL_STUB_LIB_SPEC}\""
  1678         -
  1679         -
  1680         -
  1681         -
  1682         -
  1683         -
  1684         -
  1685         -
  1686         -
  1687         -
  1688         -
  1689         -
  1690         -
  1691         -
  1692         -    case "`uname -s`" in
  1693         -	*CYGWIN_*)
  1694         -	    echo "$as_me:$LINENO: checking for cygwin variant" >&5
  1695         -echo $ECHO_N "checking for cygwin variant... $ECHO_C" >&6
  1696         -	    case ${TCL_EXTRA_CFLAGS} in
  1697         -		*-mwin32*|*-mno-cygwin*)
  1698         -		    TEA_PLATFORM="windows"
  1699         -		    CFLAGS="$CFLAGS -mwin32"
  1700         -		    echo "$as_me:$LINENO: result: win32" >&5
  1701         -echo "${ECHO_T}win32" >&6
  1702         -		    ;;
  1703         -		*)
  1704         -		    TEA_PLATFORM="unix"
  1705         -		    echo "$as_me:$LINENO: result: unix" >&5
  1706         -echo "${ECHO_T}unix" >&6
  1707         -		    ;;
  1708         -	    esac
  1709         -	    EXEEXT=".exe"
  1710         -	    ;;
  1711         -	*)
  1712         -	    ;;
  1713         -    esac
  1714         -
  1715         -    # The BUILD_$pkg is to define the correct extern storage class
  1716         -    # handling when making this package
  1717         -
  1718         -cat >>confdefs.h <<_ACEOF
  1719         -#define BUILD_${PACKAGE_NAME}
  1720         -_ACEOF
  1721         -
  1722         -    # Do this here as we have fully defined TEA_PLATFORM now
  1723         -    if test "${TEA_PLATFORM}" = "windows" ; then
  1724         -	CLEANFILES="$CLEANFILES *.lib *.dll *.pdb *.exp"
  1725         -    fi
  1726         -
  1727         -    # TEA specific:
  1728         -
  1729         -
  1730         -
  1731         -
  1732         -
  1733         -
  1734         -
  1735         -
  1736         -#--------------------------------------------------------------------
  1737         -# Load the tkConfig.sh file if necessary (Tk extension)
  1738         -#--------------------------------------------------------------------
  1739         -
  1740         -#TEA_PATH_TKCONFIG
  1741         -#TEA_LOAD_TKCONFIG
  1742         -
  1743         -#-----------------------------------------------------------------------
  1744         -# Handle the --prefix=... option by defaulting to what Tcl gave.
  1745         -# Must be called after TEA_LOAD_TCLCONFIG and before TEA_SETUP_COMPILER.
  1746         -#-----------------------------------------------------------------------
  1747         -
  1748         -
  1749         -    if test "${prefix}" = "NONE"; then
  1750         -	prefix_default=yes
  1751         -	if test x"${TCL_PREFIX}" != x; then
  1752         -	    { echo "$as_me:$LINENO: --prefix defaulting to TCL_PREFIX ${TCL_PREFIX}" >&5
  1753         -echo "$as_me: --prefix defaulting to TCL_PREFIX ${TCL_PREFIX}" >&6;}
  1754         -	    prefix=${TCL_PREFIX}
  1755         -	else
  1756         -	    { echo "$as_me:$LINENO: --prefix defaulting to /usr/local" >&5
  1757         -echo "$as_me: --prefix defaulting to /usr/local" >&6;}
  1758         -	    prefix=/usr/local
  1759         -	fi
  1760         -    fi
  1761         -    if test "${exec_prefix}" = "NONE" -a x"${prefix_default}" = x"yes" \
  1762         -	-o x"${exec_prefix_default}" = x"yes" ; then
  1763         -	if test x"${TCL_EXEC_PREFIX}" != x; then
  1764         -	    { echo "$as_me:$LINENO: --exec-prefix defaulting to TCL_EXEC_PREFIX ${TCL_EXEC_PREFIX}" >&5
  1765         -echo "$as_me: --exec-prefix defaulting to TCL_EXEC_PREFIX ${TCL_EXEC_PREFIX}" >&6;}
  1766         -	    exec_prefix=${TCL_EXEC_PREFIX}
  1767         -	else
  1768         -	    { echo "$as_me:$LINENO: --exec-prefix defaulting to ${prefix}" >&5
  1769         -echo "$as_me: --exec-prefix defaulting to ${prefix}" >&6;}
  1770         -	    exec_prefix=$prefix
  1771         -	fi
  1772         -    fi
  1773         -
  1774         -
  1775         -#-----------------------------------------------------------------------
  1776         -# Standard compiler checks.
  1777         -# This sets up CC by using the CC env var, or looks for gcc otherwise.
  1778         -# This also calls AC_PROG_CC and a few others to create the basic setup
  1779         -# necessary to compile executables.
  1780         -#-----------------------------------------------------------------------
  1781         -
  1782         -
  1783         -    # Don't put any macros that use the compiler (e.g. AC_TRY_COMPILE)
  1784         -    # in this macro, they need to go into TEA_SETUP_COMPILER instead.
  1785         -
  1786         -    # If the user did not set CFLAGS, set it now to keep
  1787         -    # the AC_PROG_CC macro from adding "-g -O2".
  1788         -    if test "${CFLAGS+set}" != "set" ; then
  1789         -	CFLAGS=""
  1790         -    fi
  1791         -
  1792         -    ac_ext=c
         1623  +ac_ext=c
  1793   1624   ac_cpp='$CPP $CPPFLAGS'
  1794   1625   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1795   1626   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1796   1627   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1797   1628   if test -n "$ac_tool_prefix"; then
  1798   1629     # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
  1799   1630   set dummy ${ac_tool_prefix}gcc; ac_word=$2
................................................................................
  2715   2546   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  2716   2547   ac_ext=c
  2717   2548   ac_cpp='$CPP $CPPFLAGS'
  2718   2549   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  2719   2550   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  2720   2551   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  2721   2552   
         2553  +
         2554  +
         2555  +    echo "$as_me:$LINENO: checking for existence of ${TCL_BIN_DIR}/tclConfig.sh" >&5
         2556  +echo $ECHO_N "checking for existence of ${TCL_BIN_DIR}/tclConfig.sh... $ECHO_C" >&6
         2557  +
         2558  +    if test -f "${TCL_BIN_DIR}/tclConfig.sh" ; then
         2559  +        echo "$as_me:$LINENO: result: loading" >&5
         2560  +echo "${ECHO_T}loading" >&6
         2561  +	. "${TCL_BIN_DIR}/tclConfig.sh"
         2562  +    else
         2563  +        echo "$as_me:$LINENO: result: could not find ${TCL_BIN_DIR}/tclConfig.sh" >&5
         2564  +echo "${ECHO_T}could not find ${TCL_BIN_DIR}/tclConfig.sh" >&6
         2565  +    fi
         2566  +
         2567  +    # eval is required to do the TCL_DBGX substitution
         2568  +    eval "TCL_LIB_FILE=\"${TCL_LIB_FILE}\""
         2569  +    eval "TCL_STUB_LIB_FILE=\"${TCL_STUB_LIB_FILE}\""
         2570  +
         2571  +    # If the TCL_BIN_DIR is the build directory (not the install directory),
         2572  +    # then set the common variable name to the value of the build variables.
         2573  +    # For example, the variable TCL_LIB_SPEC will be set to the value
         2574  +    # of TCL_BUILD_LIB_SPEC. An extension should make use of TCL_LIB_SPEC
         2575  +    # instead of TCL_BUILD_LIB_SPEC since it will work with both an
         2576  +    # installed and uninstalled version of Tcl.
         2577  +    if test -f "${TCL_BIN_DIR}/Makefile" ; then
         2578  +        TCL_LIB_SPEC="${TCL_BUILD_LIB_SPEC}"
         2579  +        TCL_STUB_LIB_SPEC="${TCL_BUILD_STUB_LIB_SPEC}"
         2580  +        TCL_STUB_LIB_PATH="${TCL_BUILD_STUB_LIB_PATH}"
         2581  +    elif test "`uname -s`" = "Darwin"; then
         2582  +	# If Tcl was built as a framework, attempt to use the libraries
         2583  +	# from the framework at the given location so that linking works
         2584  +	# against Tcl.framework installed in an arbitrary location.
         2585  +	case ${TCL_DEFS} in
         2586  +	    *TCL_FRAMEWORK*)
         2587  +		if test -f "${TCL_BIN_DIR}/${TCL_LIB_FILE}"; then
         2588  +		    for i in "`cd "${TCL_BIN_DIR}"; pwd`" \
         2589  +			     "`cd "${TCL_BIN_DIR}"/../..; pwd`"; do
         2590  +			if test "`basename "$i"`" = "${TCL_LIB_FILE}.framework"; then
         2591  +			    TCL_LIB_SPEC="-F`dirname "$i" | sed -e 's/ /\\\\ /g'` -framework ${TCL_LIB_FILE}"
         2592  +			    break
         2593  +			fi
         2594  +		    done
         2595  +		fi
         2596  +		if test -f "${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"; then
         2597  +		    TCL_STUB_LIB_SPEC="-L`echo "${TCL_BIN_DIR}"  | sed -e 's/ /\\\\ /g'` ${TCL_STUB_LIB_FLAG}"
         2598  +		    TCL_STUB_LIB_PATH="${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"
         2599  +		fi
         2600  +		;;
         2601  +	esac
         2602  +    fi
         2603  +
         2604  +    # eval is required to do the TCL_DBGX substitution
         2605  +    eval "TCL_LIB_FLAG=\"${TCL_LIB_FLAG}\""
         2606  +    eval "TCL_LIB_SPEC=\"${TCL_LIB_SPEC}\""
         2607  +    eval "TCL_STUB_LIB_FLAG=\"${TCL_STUB_LIB_FLAG}\""
         2608  +    eval "TCL_STUB_LIB_SPEC=\"${TCL_STUB_LIB_SPEC}\""
         2609  +
         2610  +
         2611  +
         2612  +
         2613  +
         2614  +
         2615  +
         2616  +
         2617  +
         2618  +
         2619  +
         2620  +
         2621  +
         2622  +
         2623  +    echo "$as_me:$LINENO: checking platform" >&5
         2624  +echo $ECHO_N "checking platform... $ECHO_C" >&6
         2625  +    hold_cc=$CC; CC="$TCL_CC"
         2626  +    cat >conftest.$ac_ext <<_ACEOF
         2627  +/* confdefs.h.  */
         2628  +_ACEOF
         2629  +cat confdefs.h >>conftest.$ac_ext
         2630  +cat >>conftest.$ac_ext <<_ACEOF
         2631  +/* end confdefs.h.  */
         2632  +
         2633  +int
         2634  +main ()
         2635  +{
         2636  +
         2637  +	    #ifdef _WIN32
         2638  +		#error win32
         2639  +	    #endif
         2640  +
         2641  +  ;
         2642  +  return 0;
         2643  +}
         2644  +_ACEOF
         2645  +rm -f conftest.$ac_objext
         2646  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         2647  +  (eval $ac_compile) 2>conftest.er1
         2648  +  ac_status=$?
         2649  +  grep -v '^ *+' conftest.er1 >conftest.err
         2650  +  rm -f conftest.er1
         2651  +  cat conftest.err >&5
         2652  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         2653  +  (exit $ac_status); } &&
         2654  +	 { ac_try='test -z "$ac_c_werror_flag"
         2655  +			 || test ! -s conftest.err'
         2656  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         2657  +  (eval $ac_try) 2>&5
         2658  +  ac_status=$?
         2659  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         2660  +  (exit $ac_status); }; } &&
         2661  +	 { ac_try='test -s conftest.$ac_objext'
         2662  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         2663  +  (eval $ac_try) 2>&5
         2664  +  ac_status=$?
         2665  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         2666  +  (exit $ac_status); }; }; then
         2667  +  TEA_PLATFORM="unix"
         2668  +else
         2669  +  echo "$as_me: failed program was:" >&5
         2670  +sed 's/^/| /' conftest.$ac_ext >&5
         2671  +
         2672  +TEA_PLATFORM="windows"
         2673  +
         2674  +fi
         2675  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         2676  +    CC=$hold_cc
         2677  +    echo "$as_me:$LINENO: result: $TEA_PLATFORM" >&5
         2678  +echo "${ECHO_T}$TEA_PLATFORM" >&6
         2679  +
         2680  +    # The BUILD_$pkg is to define the correct extern storage class
         2681  +    # handling when making this package
         2682  +
         2683  +cat >>confdefs.h <<_ACEOF
         2684  +#define BUILD_${PACKAGE_NAME}
         2685  +_ACEOF
         2686  +
         2687  +    # Do this here as we have fully defined TEA_PLATFORM now
         2688  +    if test "${TEA_PLATFORM}" = "windows" ; then
         2689  +	EXEEXT=".exe"
         2690  +	CLEANFILES="$CLEANFILES *.lib *.dll *.pdb *.exp"
         2691  +    fi
         2692  +
         2693  +    # TEA specific:
         2694  +
         2695  +
         2696  +
         2697  +
         2698  +
         2699  +
         2700  +
         2701  +
         2702  +#--------------------------------------------------------------------
         2703  +# Load the tkConfig.sh file if necessary (Tk extension)
         2704  +#--------------------------------------------------------------------
         2705  +
         2706  +#TEA_PATH_TKCONFIG
         2707  +#TEA_LOAD_TKCONFIG
         2708  +
         2709  +#-----------------------------------------------------------------------
         2710  +# Handle the --prefix=... option by defaulting to what Tcl gave.
         2711  +# Must be called after TEA_LOAD_TCLCONFIG and before TEA_SETUP_COMPILER.
         2712  +#-----------------------------------------------------------------------
         2713  +
         2714  +
         2715  +    if test "${prefix}" = "NONE"; then
         2716  +	prefix_default=yes
         2717  +	if test x"${TCL_PREFIX}" != x; then
         2718  +	    { echo "$as_me:$LINENO: --prefix defaulting to TCL_PREFIX ${TCL_PREFIX}" >&5
         2719  +echo "$as_me: --prefix defaulting to TCL_PREFIX ${TCL_PREFIX}" >&6;}
         2720  +	    prefix=${TCL_PREFIX}
         2721  +	else
         2722  +	    { echo "$as_me:$LINENO: --prefix defaulting to /usr/local" >&5
         2723  +echo "$as_me: --prefix defaulting to /usr/local" >&6;}
         2724  +	    prefix=/usr/local
         2725  +	fi
         2726  +    fi
         2727  +    if test "${exec_prefix}" = "NONE" -a x"${prefix_default}" = x"yes" \
         2728  +	-o x"${exec_prefix_default}" = x"yes" ; then
         2729  +	if test x"${TCL_EXEC_PREFIX}" != x; then
         2730  +	    { echo "$as_me:$LINENO: --exec-prefix defaulting to TCL_EXEC_PREFIX ${TCL_EXEC_PREFIX}" >&5
         2731  +echo "$as_me: --exec-prefix defaulting to TCL_EXEC_PREFIX ${TCL_EXEC_PREFIX}" >&6;}
         2732  +	    exec_prefix=${TCL_EXEC_PREFIX}
         2733  +	else
         2734  +	    { echo "$as_me:$LINENO: --exec-prefix defaulting to ${prefix}" >&5
         2735  +echo "$as_me: --exec-prefix defaulting to ${prefix}" >&6;}
         2736  +	    exec_prefix=$prefix
         2737  +	fi
         2738  +    fi
         2739  +
         2740  +
         2741  +#-----------------------------------------------------------------------
         2742  +# Standard compiler checks.
         2743  +# This sets up CC by using the CC env var, or looks for gcc otherwise.
         2744  +# This also calls AC_PROG_CC and a few others to create the basic setup
         2745  +# necessary to compile executables.
         2746  +#-----------------------------------------------------------------------
         2747  +
         2748  +
         2749  +    # Don't put any macros that use the compiler (e.g. AC_TRY_COMPILE)
         2750  +    # in this macro, they need to go into TEA_SETUP_COMPILER instead.
         2751  +
         2752  +    # If the user did not set CFLAGS, set it now to keep
         2753  +    # the AC_PROG_CC macro from adding "-g -O2".
         2754  +    if test "${CFLAGS+set}" != "set" ; then
         2755  +	CFLAGS=""
         2756  +    fi
         2757  +
         2758  +    ac_ext=c
         2759  +ac_cpp='$CPP $CPPFLAGS'
         2760  +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
         2761  +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
         2762  +ac_compiler_gnu=$ac_cv_c_compiler_gnu
         2763  +if test -n "$ac_tool_prefix"; then
         2764  +  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
         2765  +set dummy ${ac_tool_prefix}gcc; ac_word=$2
         2766  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2767  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2768  +if test "${ac_cv_prog_CC+set}" = set; then
         2769  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2770  +else
         2771  +  if test -n "$CC"; then
         2772  +  ac_cv_prog_CC="$CC" # Let the user override the test.
         2773  +else
         2774  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2775  +for as_dir in $PATH
         2776  +do
         2777  +  IFS=$as_save_IFS
         2778  +  test -z "$as_dir" && as_dir=.
         2779  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2780  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2781  +    ac_cv_prog_CC="${ac_tool_prefix}gcc"
         2782  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         2783  +    break 2
         2784  +  fi
         2785  +done
         2786  +done
         2787  +
         2788  +fi
         2789  +fi
         2790  +CC=$ac_cv_prog_CC
         2791  +if test -n "$CC"; then
         2792  +  echo "$as_me:$LINENO: result: $CC" >&5
         2793  +echo "${ECHO_T}$CC" >&6
         2794  +else
         2795  +  echo "$as_me:$LINENO: result: no" >&5
         2796  +echo "${ECHO_T}no" >&6
         2797  +fi
         2798  +
         2799  +fi
         2800  +if test -z "$ac_cv_prog_CC"; then
         2801  +  ac_ct_CC=$CC
         2802  +  # Extract the first word of "gcc", so it can be a program name with args.
         2803  +set dummy gcc; ac_word=$2
         2804  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2805  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2806  +if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
         2807  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2808  +else
         2809  +  if test -n "$ac_ct_CC"; then
         2810  +  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
         2811  +else
         2812  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2813  +for as_dir in $PATH
         2814  +do
         2815  +  IFS=$as_save_IFS
         2816  +  test -z "$as_dir" && as_dir=.
         2817  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2818  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2819  +    ac_cv_prog_ac_ct_CC="gcc"
         2820  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         2821  +    break 2
         2822  +  fi
         2823  +done
         2824  +done
         2825  +
         2826  +fi
         2827  +fi
         2828  +ac_ct_CC=$ac_cv_prog_ac_ct_CC
         2829  +if test -n "$ac_ct_CC"; then
         2830  +  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
         2831  +echo "${ECHO_T}$ac_ct_CC" >&6
         2832  +else
         2833  +  echo "$as_me:$LINENO: result: no" >&5
         2834  +echo "${ECHO_T}no" >&6
         2835  +fi
         2836  +
         2837  +  CC=$ac_ct_CC
         2838  +else
         2839  +  CC="$ac_cv_prog_CC"
         2840  +fi
         2841  +
         2842  +if test -z "$CC"; then
         2843  +  if test -n "$ac_tool_prefix"; then
         2844  +  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
         2845  +set dummy ${ac_tool_prefix}cc; ac_word=$2
         2846  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2847  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2848  +if test "${ac_cv_prog_CC+set}" = set; then
         2849  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2850  +else
         2851  +  if test -n "$CC"; then
         2852  +  ac_cv_prog_CC="$CC" # Let the user override the test.
         2853  +else
         2854  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2855  +for as_dir in $PATH
         2856  +do
         2857  +  IFS=$as_save_IFS
         2858  +  test -z "$as_dir" && as_dir=.
         2859  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2860  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2861  +    ac_cv_prog_CC="${ac_tool_prefix}cc"
         2862  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         2863  +    break 2
         2864  +  fi
         2865  +done
         2866  +done
         2867  +
         2868  +fi
         2869  +fi
         2870  +CC=$ac_cv_prog_CC
         2871  +if test -n "$CC"; then
         2872  +  echo "$as_me:$LINENO: result: $CC" >&5
         2873  +echo "${ECHO_T}$CC" >&6
         2874  +else
         2875  +  echo "$as_me:$LINENO: result: no" >&5
         2876  +echo "${ECHO_T}no" >&6
         2877  +fi
         2878  +
         2879  +fi
         2880  +if test -z "$ac_cv_prog_CC"; then
         2881  +  ac_ct_CC=$CC
         2882  +  # Extract the first word of "cc", so it can be a program name with args.
         2883  +set dummy cc; ac_word=$2
         2884  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2885  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2886  +if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
         2887  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2888  +else
         2889  +  if test -n "$ac_ct_CC"; then
         2890  +  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
         2891  +else
         2892  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2893  +for as_dir in $PATH
         2894  +do
         2895  +  IFS=$as_save_IFS
         2896  +  test -z "$as_dir" && as_dir=.
         2897  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2898  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2899  +    ac_cv_prog_ac_ct_CC="cc"
         2900  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         2901  +    break 2
         2902  +  fi
         2903  +done
         2904  +done
         2905  +
         2906  +fi
         2907  +fi
         2908  +ac_ct_CC=$ac_cv_prog_ac_ct_CC
         2909  +if test -n "$ac_ct_CC"; then
         2910  +  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
         2911  +echo "${ECHO_T}$ac_ct_CC" >&6
         2912  +else
         2913  +  echo "$as_me:$LINENO: result: no" >&5
         2914  +echo "${ECHO_T}no" >&6
         2915  +fi
         2916  +
         2917  +  CC=$ac_ct_CC
         2918  +else
         2919  +  CC="$ac_cv_prog_CC"
         2920  +fi
         2921  +
         2922  +fi
         2923  +if test -z "$CC"; then
         2924  +  # Extract the first word of "cc", so it can be a program name with args.
         2925  +set dummy cc; ac_word=$2
         2926  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2927  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2928  +if test "${ac_cv_prog_CC+set}" = set; then
         2929  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2930  +else
         2931  +  if test -n "$CC"; then
         2932  +  ac_cv_prog_CC="$CC" # Let the user override the test.
         2933  +else
         2934  +  ac_prog_rejected=no
         2935  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2936  +for as_dir in $PATH
         2937  +do
         2938  +  IFS=$as_save_IFS
         2939  +  test -z "$as_dir" && as_dir=.
         2940  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2941  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2942  +    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
         2943  +       ac_prog_rejected=yes
         2944  +       continue
         2945  +     fi
         2946  +    ac_cv_prog_CC="cc"
         2947  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         2948  +    break 2
         2949  +  fi
         2950  +done
         2951  +done
         2952  +
         2953  +if test $ac_prog_rejected = yes; then
         2954  +  # We found a bogon in the path, so make sure we never use it.
         2955  +  set dummy $ac_cv_prog_CC
         2956  +  shift
         2957  +  if test $# != 0; then
         2958  +    # We chose a different compiler from the bogus one.
         2959  +    # However, it has the same basename, so the bogon will be chosen
         2960  +    # first if we set CC to just the basename; use the full file name.
         2961  +    shift
         2962  +    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
         2963  +  fi
         2964  +fi
         2965  +fi
         2966  +fi
         2967  +CC=$ac_cv_prog_CC
         2968  +if test -n "$CC"; then
         2969  +  echo "$as_me:$LINENO: result: $CC" >&5
         2970  +echo "${ECHO_T}$CC" >&6
         2971  +else
         2972  +  echo "$as_me:$LINENO: result: no" >&5
         2973  +echo "${ECHO_T}no" >&6
         2974  +fi
         2975  +
         2976  +fi
         2977  +if test -z "$CC"; then
         2978  +  if test -n "$ac_tool_prefix"; then
         2979  +  for ac_prog in cl
         2980  +  do
         2981  +    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
         2982  +set dummy $ac_tool_prefix$ac_prog; ac_word=$2
         2983  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         2984  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         2985  +if test "${ac_cv_prog_CC+set}" = set; then
         2986  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         2987  +else
         2988  +  if test -n "$CC"; then
         2989  +  ac_cv_prog_CC="$CC" # Let the user override the test.
         2990  +else
         2991  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         2992  +for as_dir in $PATH
         2993  +do
         2994  +  IFS=$as_save_IFS
         2995  +  test -z "$as_dir" && as_dir=.
         2996  +  for ac_exec_ext in '' $ac_executable_extensions; do
         2997  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         2998  +    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
         2999  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         3000  +    break 2
         3001  +  fi
         3002  +done
         3003  +done
         3004  +
         3005  +fi
         3006  +fi
         3007  +CC=$ac_cv_prog_CC
         3008  +if test -n "$CC"; then
         3009  +  echo "$as_me:$LINENO: result: $CC" >&5
         3010  +echo "${ECHO_T}$CC" >&6
         3011  +else
         3012  +  echo "$as_me:$LINENO: result: no" >&5
         3013  +echo "${ECHO_T}no" >&6
         3014  +fi
         3015  +
         3016  +    test -n "$CC" && break
         3017  +  done
         3018  +fi
         3019  +if test -z "$CC"; then
         3020  +  ac_ct_CC=$CC
         3021  +  for ac_prog in cl
         3022  +do
         3023  +  # Extract the first word of "$ac_prog", so it can be a program name with args.
         3024  +set dummy $ac_prog; ac_word=$2
         3025  +echo "$as_me:$LINENO: checking for $ac_word" >&5
         3026  +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
         3027  +if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
         3028  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         3029  +else
         3030  +  if test -n "$ac_ct_CC"; then
         3031  +  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
         3032  +else
         3033  +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
         3034  +for as_dir in $PATH
         3035  +do
         3036  +  IFS=$as_save_IFS
         3037  +  test -z "$as_dir" && as_dir=.
         3038  +  for ac_exec_ext in '' $ac_executable_extensions; do
         3039  +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
         3040  +    ac_cv_prog_ac_ct_CC="$ac_prog"
         3041  +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
         3042  +    break 2
         3043  +  fi
         3044  +done
         3045  +done
         3046  +
         3047  +fi
         3048  +fi
         3049  +ac_ct_CC=$ac_cv_prog_ac_ct_CC
         3050  +if test -n "$ac_ct_CC"; then
         3051  +  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
         3052  +echo "${ECHO_T}$ac_ct_CC" >&6
         3053  +else
         3054  +  echo "$as_me:$LINENO: result: no" >&5
         3055  +echo "${ECHO_T}no" >&6
         3056  +fi
         3057  +
         3058  +  test -n "$ac_ct_CC" && break
         3059  +done
         3060  +
         3061  +  CC=$ac_ct_CC
         3062  +fi
         3063  +
         3064  +fi
         3065  +
         3066  +
         3067  +test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
         3068  +See \`config.log' for more details." >&5
         3069  +echo "$as_me: error: no acceptable C compiler found in \$PATH
         3070  +See \`config.log' for more details." >&2;}
         3071  +   { (exit 1); exit 1; }; }
         3072  +
         3073  +# Provide some information about the compiler.
         3074  +echo "$as_me:$LINENO:" \
         3075  +     "checking for C compiler version" >&5
         3076  +ac_compiler=`set X $ac_compile; echo $2`
         3077  +{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
         3078  +  (eval $ac_compiler --version </dev/null >&5) 2>&5
         3079  +  ac_status=$?
         3080  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3081  +  (exit $ac_status); }
         3082  +{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
         3083  +  (eval $ac_compiler -v </dev/null >&5) 2>&5
         3084  +  ac_status=$?
         3085  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3086  +  (exit $ac_status); }
         3087  +{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
         3088  +  (eval $ac_compiler -V </dev/null >&5) 2>&5
         3089  +  ac_status=$?
         3090  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3091  +  (exit $ac_status); }
         3092  +
         3093  +echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
         3094  +echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
         3095  +if test "${ac_cv_c_compiler_gnu+set}" = set; then
         3096  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         3097  +else
         3098  +  cat >conftest.$ac_ext <<_ACEOF
         3099  +/* confdefs.h.  */
         3100  +_ACEOF
         3101  +cat confdefs.h >>conftest.$ac_ext
         3102  +cat >>conftest.$ac_ext <<_ACEOF
         3103  +/* end confdefs.h.  */
         3104  +
         3105  +int
         3106  +main ()
         3107  +{
         3108  +#ifndef __GNUC__
         3109  +       choke me
         3110  +#endif
         3111  +
         3112  +  ;
         3113  +  return 0;
         3114  +}
         3115  +_ACEOF
         3116  +rm -f conftest.$ac_objext
         3117  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3118  +  (eval $ac_compile) 2>conftest.er1
         3119  +  ac_status=$?
         3120  +  grep -v '^ *+' conftest.er1 >conftest.err
         3121  +  rm -f conftest.er1
         3122  +  cat conftest.err >&5
         3123  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3124  +  (exit $ac_status); } &&
         3125  +	 { ac_try='test -z "$ac_c_werror_flag"
         3126  +			 || test ! -s conftest.err'
         3127  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3128  +  (eval $ac_try) 2>&5
         3129  +  ac_status=$?
         3130  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3131  +  (exit $ac_status); }; } &&
         3132  +	 { ac_try='test -s conftest.$ac_objext'
         3133  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3134  +  (eval $ac_try) 2>&5
         3135  +  ac_status=$?
         3136  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3137  +  (exit $ac_status); }; }; then
         3138  +  ac_compiler_gnu=yes
         3139  +else
         3140  +  echo "$as_me: failed program was:" >&5
         3141  +sed 's/^/| /' conftest.$ac_ext >&5
         3142  +
         3143  +ac_compiler_gnu=no
         3144  +fi
         3145  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         3146  +ac_cv_c_compiler_gnu=$ac_compiler_gnu
         3147  +
         3148  +fi
         3149  +echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
         3150  +echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
         3151  +GCC=`test $ac_compiler_gnu = yes && echo yes`
         3152  +ac_test_CFLAGS=${CFLAGS+set}
         3153  +ac_save_CFLAGS=$CFLAGS
         3154  +CFLAGS="-g"
         3155  +echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
         3156  +echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
         3157  +if test "${ac_cv_prog_cc_g+set}" = set; then
         3158  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         3159  +else
         3160  +  cat >conftest.$ac_ext <<_ACEOF
         3161  +/* confdefs.h.  */
         3162  +_ACEOF
         3163  +cat confdefs.h >>conftest.$ac_ext
         3164  +cat >>conftest.$ac_ext <<_ACEOF
         3165  +/* end confdefs.h.  */
         3166  +
         3167  +int
         3168  +main ()
         3169  +{
         3170  +
         3171  +  ;
         3172  +  return 0;
         3173  +}
         3174  +_ACEOF
         3175  +rm -f conftest.$ac_objext
         3176  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3177  +  (eval $ac_compile) 2>conftest.er1
         3178  +  ac_status=$?
         3179  +  grep -v '^ *+' conftest.er1 >conftest.err
         3180  +  rm -f conftest.er1
         3181  +  cat conftest.err >&5
         3182  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3183  +  (exit $ac_status); } &&
         3184  +	 { ac_try='test -z "$ac_c_werror_flag"
         3185  +			 || test ! -s conftest.err'
         3186  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3187  +  (eval $ac_try) 2>&5
         3188  +  ac_status=$?
         3189  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3190  +  (exit $ac_status); }; } &&
         3191  +	 { ac_try='test -s conftest.$ac_objext'
         3192  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3193  +  (eval $ac_try) 2>&5
         3194  +  ac_status=$?
         3195  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3196  +  (exit $ac_status); }; }; then
         3197  +  ac_cv_prog_cc_g=yes
         3198  +else
         3199  +  echo "$as_me: failed program was:" >&5
         3200  +sed 's/^/| /' conftest.$ac_ext >&5
         3201  +
         3202  +ac_cv_prog_cc_g=no
         3203  +fi
         3204  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         3205  +fi
         3206  +echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
         3207  +echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
         3208  +if test "$ac_test_CFLAGS" = set; then
         3209  +  CFLAGS=$ac_save_CFLAGS
         3210  +elif test $ac_cv_prog_cc_g = yes; then
         3211  +  if test "$GCC" = yes; then
         3212  +    CFLAGS="-g -O2"
         3213  +  else
         3214  +    CFLAGS="-g"
         3215  +  fi
         3216  +else
         3217  +  if test "$GCC" = yes; then
         3218  +    CFLAGS="-O2"
         3219  +  else
         3220  +    CFLAGS=
         3221  +  fi
         3222  +fi
         3223  +echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
         3224  +echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
         3225  +if test "${ac_cv_prog_cc_stdc+set}" = set; then
         3226  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         3227  +else
         3228  +  ac_cv_prog_cc_stdc=no
         3229  +ac_save_CC=$CC
         3230  +cat >conftest.$ac_ext <<_ACEOF
         3231  +/* confdefs.h.  */
         3232  +_ACEOF
         3233  +cat confdefs.h >>conftest.$ac_ext
         3234  +cat >>conftest.$ac_ext <<_ACEOF
         3235  +/* end confdefs.h.  */
         3236  +#include <stdarg.h>
         3237  +#include <stdio.h>
         3238  +#include <sys/types.h>
         3239  +#include <sys/stat.h>
         3240  +/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
         3241  +struct buf { int x; };
         3242  +FILE * (*rcsopen) (struct buf *, struct stat *, int);
         3243  +static char *e (p, i)
         3244  +     char **p;
         3245  +     int i;
         3246  +{
         3247  +  return p[i];
         3248  +}
         3249  +static char *f (char * (*g) (char **, int), char **p, ...)
         3250  +{
         3251  +  char *s;
         3252  +  va_list v;
         3253  +  va_start (v,p);
         3254  +  s = g (p, va_arg (v,int));
         3255  +  va_end (v);
         3256  +  return s;
         3257  +}
         3258  +
         3259  +/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
         3260  +   function prototypes and stuff, but not '\xHH' hex character constants.
         3261  +   These don't provoke an error unfortunately, instead are silently treated
         3262  +   as 'x'.  The following induces an error, until -std1 is added to get
         3263  +   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
         3264  +   array size at least.  It's necessary to write '\x00'==0 to get something
         3265  +   that's true only with -std1.  */
         3266  +int osf4_cc_array ['\x00' == 0 ? 1 : -1];
         3267  +
         3268  +int test (int i, double x);
         3269  +struct s1 {int (*f) (int a);};
         3270  +struct s2 {int (*f) (double a);};
         3271  +int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
         3272  +int argc;
         3273  +char **argv;
         3274  +int
         3275  +main ()
         3276  +{
         3277  +return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
         3278  +  ;
         3279  +  return 0;
         3280  +}
         3281  +_ACEOF
         3282  +# Don't try gcc -ansi; that turns off useful extensions and
         3283  +# breaks some systems' header files.
         3284  +# AIX			-qlanglvl=ansi
         3285  +# Ultrix and OSF/1	-std1
         3286  +# HP-UX 10.20 and later	-Ae
         3287  +# HP-UX older versions	-Aa -D_HPUX_SOURCE
         3288  +# SVR4			-Xc -D__EXTENSIONS__
         3289  +for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
         3290  +do
         3291  +  CC="$ac_save_CC $ac_arg"
         3292  +  rm -f conftest.$ac_objext
         3293  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3294  +  (eval $ac_compile) 2>conftest.er1
         3295  +  ac_status=$?
         3296  +  grep -v '^ *+' conftest.er1 >conftest.err
         3297  +  rm -f conftest.er1
         3298  +  cat conftest.err >&5
         3299  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3300  +  (exit $ac_status); } &&
         3301  +	 { ac_try='test -z "$ac_c_werror_flag"
         3302  +			 || test ! -s conftest.err'
         3303  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3304  +  (eval $ac_try) 2>&5
         3305  +  ac_status=$?
         3306  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3307  +  (exit $ac_status); }; } &&
         3308  +	 { ac_try='test -s conftest.$ac_objext'
         3309  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3310  +  (eval $ac_try) 2>&5
         3311  +  ac_status=$?
         3312  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3313  +  (exit $ac_status); }; }; then
         3314  +  ac_cv_prog_cc_stdc=$ac_arg
         3315  +break
         3316  +else
         3317  +  echo "$as_me: failed program was:" >&5
         3318  +sed 's/^/| /' conftest.$ac_ext >&5
         3319  +
         3320  +fi
         3321  +rm -f conftest.err conftest.$ac_objext
         3322  +done
         3323  +rm -f conftest.$ac_ext conftest.$ac_objext
         3324  +CC=$ac_save_CC
         3325  +
         3326  +fi
         3327  +
         3328  +case "x$ac_cv_prog_cc_stdc" in
         3329  +  x|xno)
         3330  +    echo "$as_me:$LINENO: result: none needed" >&5
         3331  +echo "${ECHO_T}none needed" >&6 ;;
         3332  +  *)
         3333  +    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
         3334  +echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
         3335  +    CC="$CC $ac_cv_prog_cc_stdc" ;;
         3336  +esac
         3337  +
         3338  +# Some people use a C++ compiler to compile C.  Since we use `exit',
         3339  +# in C++ we need to declare it.  In case someone uses the same compiler
         3340  +# for both compiling C and C++ we need to have the C++ compiler decide
         3341  +# the declaration of exit, since it's the most demanding environment.
         3342  +cat >conftest.$ac_ext <<_ACEOF
         3343  +#ifndef __cplusplus
         3344  +  choke me
         3345  +#endif
         3346  +_ACEOF
         3347  +rm -f conftest.$ac_objext
         3348  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3349  +  (eval $ac_compile) 2>conftest.er1
         3350  +  ac_status=$?
         3351  +  grep -v '^ *+' conftest.er1 >conftest.err
         3352  +  rm -f conftest.er1
         3353  +  cat conftest.err >&5
         3354  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3355  +  (exit $ac_status); } &&
         3356  +	 { ac_try='test -z "$ac_c_werror_flag"
         3357  +			 || test ! -s conftest.err'
         3358  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3359  +  (eval $ac_try) 2>&5
         3360  +  ac_status=$?
         3361  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3362  +  (exit $ac_status); }; } &&
         3363  +	 { ac_try='test -s conftest.$ac_objext'
         3364  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3365  +  (eval $ac_try) 2>&5
         3366  +  ac_status=$?
         3367  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3368  +  (exit $ac_status); }; }; then
         3369  +  for ac_declaration in \
         3370  +   '' \
         3371  +   'extern "C" void std::exit (int) throw (); using std::exit;' \
         3372  +   'extern "C" void std::exit (int); using std::exit;' \
         3373  +   'extern "C" void exit (int) throw ();' \
         3374  +   'extern "C" void exit (int);' \
         3375  +   'void exit (int);'
         3376  +do
         3377  +  cat >conftest.$ac_ext <<_ACEOF
         3378  +/* confdefs.h.  */
         3379  +_ACEOF
         3380  +cat confdefs.h >>conftest.$ac_ext
         3381  +cat >>conftest.$ac_ext <<_ACEOF
         3382  +/* end confdefs.h.  */
         3383  +$ac_declaration
         3384  +#include <stdlib.h>
         3385  +int
         3386  +main ()
         3387  +{
         3388  +exit (42);
         3389  +  ;
         3390  +  return 0;
         3391  +}
         3392  +_ACEOF
         3393  +rm -f conftest.$ac_objext
         3394  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3395  +  (eval $ac_compile) 2>conftest.er1
         3396  +  ac_status=$?
         3397  +  grep -v '^ *+' conftest.er1 >conftest.err
         3398  +  rm -f conftest.er1
         3399  +  cat conftest.err >&5
         3400  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3401  +  (exit $ac_status); } &&
         3402  +	 { ac_try='test -z "$ac_c_werror_flag"
         3403  +			 || test ! -s conftest.err'
         3404  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3405  +  (eval $ac_try) 2>&5
         3406  +  ac_status=$?
         3407  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3408  +  (exit $ac_status); }; } &&
         3409  +	 { ac_try='test -s conftest.$ac_objext'
         3410  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3411  +  (eval $ac_try) 2>&5
         3412  +  ac_status=$?
         3413  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3414  +  (exit $ac_status); }; }; then
         3415  +  :
         3416  +else
         3417  +  echo "$as_me: failed program was:" >&5
         3418  +sed 's/^/| /' conftest.$ac_ext >&5
         3419  +
         3420  +continue
         3421  +fi
         3422  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         3423  +  cat >conftest.$ac_ext <<_ACEOF
         3424  +/* confdefs.h.  */
         3425  +_ACEOF
         3426  +cat confdefs.h >>conftest.$ac_ext
         3427  +cat >>conftest.$ac_ext <<_ACEOF
         3428  +/* end confdefs.h.  */
         3429  +$ac_declaration
         3430  +int
         3431  +main ()
         3432  +{
         3433  +exit (42);
         3434  +  ;
         3435  +  return 0;
         3436  +}
         3437  +_ACEOF
         3438  +rm -f conftest.$ac_objext
         3439  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         3440  +  (eval $ac_compile) 2>conftest.er1
         3441  +  ac_status=$?
         3442  +  grep -v '^ *+' conftest.er1 >conftest.err
         3443  +  rm -f conftest.er1
         3444  +  cat conftest.err >&5
         3445  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3446  +  (exit $ac_status); } &&
         3447  +	 { ac_try='test -z "$ac_c_werror_flag"
         3448  +			 || test ! -s conftest.err'
         3449  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3450  +  (eval $ac_try) 2>&5
         3451  +  ac_status=$?
         3452  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3453  +  (exit $ac_status); }; } &&
         3454  +	 { ac_try='test -s conftest.$ac_objext'
         3455  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         3456  +  (eval $ac_try) 2>&5
         3457  +  ac_status=$?
         3458  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         3459  +  (exit $ac_status); }; }; then
         3460  +  break
         3461  +else
         3462  +  echo "$as_me: failed program was:" >&5
         3463  +sed 's/^/| /' conftest.$ac_ext >&5
         3464  +
         3465  +fi
         3466  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         3467  +done
         3468  +rm -f conftest*
         3469  +if test -n "$ac_declaration"; then
         3470  +  echo '#ifdef __cplusplus' >>confdefs.h
         3471  +  echo $ac_declaration      >>confdefs.h
         3472  +  echo '#endif'             >>confdefs.h
         3473  +fi
         3474  +
         3475  +else
         3476  +  echo "$as_me: failed program was:" >&5
         3477  +sed 's/^/| /' conftest.$ac_ext >&5
         3478  +
         3479  +fi
         3480  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         3481  +ac_ext=c
         3482  +ac_cpp='$CPP $CPPFLAGS'
         3483  +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
         3484  +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
         3485  +ac_compiler_gnu=$ac_cv_c_compiler_gnu
         3486  +
  2722   3487       ac_ext=c
  2723   3488   ac_cpp='$CPP $CPPFLAGS'
  2724   3489   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  2725   3490   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  2726   3491   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  2727   3492   echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
  2728   3493   echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
................................................................................
  3071   3836     RANLIB="$ac_cv_prog_RANLIB"
  3072   3837   fi
  3073   3838   
  3074   3839   
  3075   3840       #--------------------------------------------------------------------
  3076   3841       # Determines the correct binary file extension (.o, .obj, .exe etc.)
  3077   3842       #--------------------------------------------------------------------
  3078         -
  3079   3843   
  3080   3844   
  3081   3845   
  3082   3846   
  3083   3847   
  3084   3848   echo "$as_me:$LINENO: checking for egrep" >&5
  3085   3849   echo $ECHO_N "checking for egrep... $ECHO_C" >&6
................................................................................
  7148   7912       LDFLAGS_ARCH=""
  7149   7913       UNSHARED_LIB_SUFFIX=""
  7150   7914       # TEA specific: use PACKAGE_VERSION instead of VERSION
  7151   7915       TCL_TRIM_DOTS='`echo ${PACKAGE_VERSION} | tr -d .`'
  7152   7916       ECHO_VERSION='`echo ${PACKAGE_VERSION}`'
  7153   7917       TCL_LIB_VERSIONS_OK=ok
  7154   7918       CFLAGS_DEBUG=-g
  7155         -    CFLAGS_OPTIMIZE=-O
  7156   7919       if test "$GCC" = yes; then
  7157   7920   
  7158         -	# TEA specific:
  7159   7921   	CFLAGS_OPTIMIZE=-O2
  7160   7922   	CFLAGS_WARNING="-Wall"
  7161   7923   
  7162   7924   else
  7163         -  CFLAGS_WARNING=""
         7925  +
         7926  +	CFLAGS_OPTIMIZE=-O
         7927  +	CFLAGS_WARNING=""
         7928  +
  7164   7929   fi
  7165   7930   
  7166   7931       if test -n "$ac_tool_prefix"; then
  7167   7932     # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
  7168   7933   set dummy ${ac_tool_prefix}ar; ac_word=$2
  7169   7934   echo "$as_me:$LINENO: checking for $ac_word" >&5
  7170   7935   echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
................................................................................
  7569   8334     RC=$ac_ct_RC
  7570   8335   else
  7571   8336     RC="$ac_cv_prog_RC"
  7572   8337   fi
  7573   8338   
  7574   8339   		CFLAGS_DEBUG="-g"
  7575   8340   		CFLAGS_OPTIMIZE="-O2 -fomit-frame-pointer"
  7576         -		SHLIB_LD="$CC -shared"
         8341  +		SHLIB_LD='${CC} -shared'
  7577   8342   		UNSHARED_LIB_SUFFIX='${TCL_TRIM_DOTS}.a'
  7578   8343   		LDFLAGS_CONSOLE="-wl,--subsystem,console ${lflags}"
  7579   8344   		LDFLAGS_WINDOW="-wl,--subsystem,windows ${lflags}"
         8345  +
         8346  +		echo "$as_me:$LINENO: checking for cross-compile version of gcc" >&5
         8347  +echo $ECHO_N "checking for cross-compile version of gcc... $ECHO_C" >&6
         8348  +if test "${ac_cv_cross+set}" = set; then
         8349  +  echo $ECHO_N "(cached) $ECHO_C" >&6
         8350  +else
         8351  +  cat >conftest.$ac_ext <<_ACEOF
         8352  +/* confdefs.h.  */
         8353  +_ACEOF
         8354  +cat confdefs.h >>conftest.$ac_ext
         8355  +cat >>conftest.$ac_ext <<_ACEOF
         8356  +/* end confdefs.h.  */
         8357  +
         8358  +			    #ifdef __WIN32__
         8359  +				#error cross-compiler
         8360  +			    #endif
         8361  +
         8362  +int
         8363  +main ()
         8364  +{
         8365  +
         8366  +  ;
         8367  +  return 0;
         8368  +}
         8369  +_ACEOF
         8370  +rm -f conftest.$ac_objext
         8371  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
         8372  +  (eval $ac_compile) 2>conftest.er1
         8373  +  ac_status=$?
         8374  +  grep -v '^ *+' conftest.er1 >conftest.err
         8375  +  rm -f conftest.er1
         8376  +  cat conftest.err >&5
         8377  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         8378  +  (exit $ac_status); } &&
         8379  +	 { ac_try='test -z "$ac_c_werror_flag"
         8380  +			 || test ! -s conftest.err'
         8381  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         8382  +  (eval $ac_try) 2>&5
         8383  +  ac_status=$?
         8384  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         8385  +  (exit $ac_status); }; } &&
         8386  +	 { ac_try='test -s conftest.$ac_objext'
         8387  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
         8388  +  (eval $ac_try) 2>&5
         8389  +  ac_status=$?
         8390  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
         8391  +  (exit $ac_status); }; }; then
         8392  +  ac_cv_cross=yes
         8393  +else
         8394  +  echo "$as_me: failed program was:" >&5
         8395  +sed 's/^/| /' conftest.$ac_ext >&5
         8396  +
         8397  +ac_cv_cross=no
         8398  +fi
         8399  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
         8400  +
         8401  +fi
         8402  +echo "$as_me:$LINENO: result: $ac_cv_cross" >&5
         8403  +echo "${ECHO_T}$ac_cv_cross" >&6
         8404  +		      if test "$ac_cv_cross" = "yes"; then
         8405  +			case "$do64bit" in
         8406  +			    amd64|x64|yes)
         8407  +				CC="x86_64-w64-mingw32-gcc"
         8408  +				LD="x86_64-w64-mingw32-ld"
         8409  +				AR="x86_64-w64-mingw32-ar"
         8410  +				RANLIB="x86_64-w64-mingw32-ranlib"
         8411  +				RC="x86_64-w64-mingw32-windres"
         8412  +			    ;;
         8413  +			    *)
         8414  +				CC="i686-w64-mingw32-gcc"
         8415  +				LD="i686-w64-mingw32-ld"
         8416  +				AR="i686-w64-mingw32-ar"
         8417  +				RANLIB="i686-w64-mingw32-ranlib"
         8418  +				RC="i686-w64-mingw32-windres"
         8419  +			    ;;
         8420  +			esac
         8421  +		fi
         8422  +
  7580   8423   	    else
  7581   8424   		SHLIB_LD="${LINKBIN} -dll ${lflags}"
  7582   8425   		# link -lib only works when -lib is the first arg
  7583   8426   		STLIB_LD="${LINKBIN} -lib ${lflags}"
  7584   8427   		UNSHARED_LIB_SUFFIX='${TCL_TRIM_DOTS}.lib'
  7585   8428   		PATHTYPE=-w
  7586   8429   		# For information on what debugtype is most useful, see:
................................................................................
  7774   8617   	    CC_SEARCH_FLAGS=""
  7775   8618   	    LD_SEARCH_FLAGS=""
  7776   8619   	    ;;
  7777   8620   	CYGWIN_*)
  7778   8621   	    SHLIB_CFLAGS=""
  7779   8622   	    SHLIB_LD='${CC} -shared'
  7780   8623   	    SHLIB_SUFFIX=".dll"
  7781         -	    EXE_SUFFIX=".exe"
         8624  +	    EXEEXT=".exe"
  7782   8625   	    CC_SEARCH_FLAGS=""
  7783   8626   	    LD_SEARCH_FLAGS=""
  7784   8627   	    ;;
  7785   8628   	Haiku*)
  7786   8629   	    LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
  7787   8630   	    SHLIB_CFLAGS="-fPIC"
  7788   8631   	    SHLIB_SUFFIX=".so"
................................................................................
  8565   9408   echo "${ECHO_T}$tcl_cv_ld_single_module" >&6
  8566   9409   	    if test $tcl_cv_ld_single_module = yes; then
  8567   9410   
  8568   9411   		SHLIB_LD="${SHLIB_LD} -Wl,-single_module"
  8569   9412   
  8570   9413   fi
  8571   9414   
  8572         -	    # TEA specific: link shlib with current and compatiblity version flags
         9415  +	    # TEA specific: link shlib with current and compatibility version flags
  8573   9416   	    vers=`echo ${PACKAGE_VERSION} | sed -e 's/^\([0-9]\{1,5\}\)\(\(\.[0-9]\{1,3\}\)\{0,2\}\).*$/\1\2/p' -e d`
  8574   9417   	    SHLIB_LD="${SHLIB_LD} -current_version ${vers:-0} -compatibility_version ${vers:-0}"
  8575   9418   	    SHLIB_SUFFIX=".dylib"
  8576   9419   	    # Don't use -prebind when building for Mac OS X 10.4 or later only:
  8577   9420   	    if test "`echo "${MACOSX_DEPLOYMENT_TARGET}" | awk -F '10\\.' '{print int($2)}'`" -lt 4 -a \
  8578   9421   		"`echo "${CPPFLAGS}" | awk -F '-mmacosx-version-min=10\\.' '{print int($2)}'`" -lt 4; then
  8579   9422   
................................................................................
  9135   9978   
  9136   9979   
  9137   9980   fi
  9138   9981   
  9139   9982   
  9140   9983       if test "$SHARED_LIB_SUFFIX" = ""; then
  9141   9984   
  9142         -	# TEA specific: use PACKAGE_VERSION instead of VERSION
  9143         -	SHARED_LIB_SUFFIX='${PACKAGE_VERSION}${SHLIB_SUFFIX}'
         9985  +    # TEA specific: use PACKAGE_VERSION instead of VERSION
         9986  +    SHARED_LIB_SUFFIX='${PACKAGE_VERSION}${SHLIB_SUFFIX}'
  9144   9987   fi
  9145   9988   
  9146   9989       if test "$UNSHARED_LIB_SUFFIX" = ""; then
  9147   9990   
  9148         -	# TEA specific: use PACKAGE_VERSION instead of VERSION
  9149         -	UNSHARED_LIB_SUFFIX='${PACKAGE_VERSION}.a'
  9150         -fi
  9151         -
         9991  +    # TEA specific: use PACKAGE_VERSION instead of VERSION
         9992  +    UNSHARED_LIB_SUFFIX='${PACKAGE_VERSION}.a'
         9993  +fi
         9994  +
         9995  +
         9996  +    if test "${GCC}" = "yes" ; then
         9997  +	echo "$as_me:$LINENO: checking for SEH support in compiler" >&5
         9998  +echo $ECHO_N "checking for SEH support in compiler... $ECHO_C" >&6
         9999  +if test "${tcl_cv_seh+set}" = set; then
        10000  +  echo $ECHO_N "(cached) $ECHO_C" >&6
        10001  +else
        10002  +  if test "$cross_compiling" = yes; then
        10003  +  tcl_cv_seh=no
        10004  +else
        10005  +  cat >conftest.$ac_ext <<_ACEOF
        10006  +/* confdefs.h.  */
        10007  +_ACEOF
        10008  +cat confdefs.h >>conftest.$ac_ext
        10009  +cat >>conftest.$ac_ext <<_ACEOF
        10010  +/* end confdefs.h.  */
        10011  +
        10012  +	    #define WIN32_LEAN_AND_MEAN
        10013  +	    #include <windows.h>
        10014  +	    #undef WIN32_LEAN_AND_MEAN
        10015  +
        10016  +	    int main(int argc, char** argv) {
        10017  +		int a, b = 0;
        10018  +		__try {
        10019  +		    a = 666 / b;
        10020  +		}
        10021  +		__except (EXCEPTION_EXECUTE_HANDLER) {
        10022  +		    return 0;
        10023  +		}
        10024  +		return 1;
        10025  +	    }
        10026  +
        10027  +_ACEOF
        10028  +rm -f conftest$ac_exeext
        10029  +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
        10030  +  (eval $ac_link) 2>&5
        10031  +  ac_status=$?
        10032  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10033  +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
        10034  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10035  +  (eval $ac_try) 2>&5
        10036  +  ac_status=$?
        10037  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10038  +  (exit $ac_status); }; }; then
        10039  +  tcl_cv_seh=yes
        10040  +else
        10041  +  echo "$as_me: program exited with status $ac_status" >&5
        10042  +echo "$as_me: failed program was:" >&5
        10043  +sed 's/^/| /' conftest.$ac_ext >&5
        10044  +
        10045  +( exit $ac_status )
        10046  +tcl_cv_seh=no
        10047  +fi
        10048  +rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
        10049  +fi
        10050  +
        10051  +fi
        10052  +echo "$as_me:$LINENO: result: $tcl_cv_seh" >&5
        10053  +echo "${ECHO_T}$tcl_cv_seh" >&6
        10054  +	if test "$tcl_cv_seh" = "no" ; then
        10055  +
        10056  +cat >>confdefs.h <<\_ACEOF
        10057  +#define HAVE_NO_SEH 1
        10058  +_ACEOF
        10059  +
        10060  +	fi
        10061  +
        10062  +	#
        10063  +	# Check to see if the excpt.h include file provided contains the
        10064  +	# definition for EXCEPTION_DISPOSITION; if not, which is the case
        10065  +	# with Cygwin's version as of 2002-04-10, define it to be int,
        10066  +	# sufficient for getting the current code to work.
        10067  +	#
        10068  +	echo "$as_me:$LINENO: checking for EXCEPTION_DISPOSITION support in include files" >&5
        10069  +echo $ECHO_N "checking for EXCEPTION_DISPOSITION support in include files... $ECHO_C" >&6
        10070  +if test "${tcl_cv_eh_disposition+set}" = set; then
        10071  +  echo $ECHO_N "(cached) $ECHO_C" >&6
        10072  +else
        10073  +  cat >conftest.$ac_ext <<_ACEOF
        10074  +/* confdefs.h.  */
        10075  +_ACEOF
        10076  +cat confdefs.h >>conftest.$ac_ext
        10077  +cat >>conftest.$ac_ext <<_ACEOF
        10078  +/* end confdefs.h.  */
        10079  +
        10080  +#	    define WIN32_LEAN_AND_MEAN
        10081  +#	    include <windows.h>
        10082  +#	    undef WIN32_LEAN_AND_MEAN
        10083  +
        10084  +int
        10085  +main ()
        10086  +{
        10087  +
        10088  +		EXCEPTION_DISPOSITION x;
        10089  +
        10090  +  ;
        10091  +  return 0;
        10092  +}
        10093  +_ACEOF
        10094  +rm -f conftest.$ac_objext
        10095  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
        10096  +  (eval $ac_compile) 2>conftest.er1
        10097  +  ac_status=$?
        10098  +  grep -v '^ *+' conftest.er1 >conftest.err
        10099  +  rm -f conftest.er1
        10100  +  cat conftest.err >&5
        10101  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10102  +  (exit $ac_status); } &&
        10103  +	 { ac_try='test -z "$ac_c_werror_flag"
        10104  +			 || test ! -s conftest.err'
        10105  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10106  +  (eval $ac_try) 2>&5
        10107  +  ac_status=$?
        10108  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10109  +  (exit $ac_status); }; } &&
        10110  +	 { ac_try='test -s conftest.$ac_objext'
        10111  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10112  +  (eval $ac_try) 2>&5
        10113  +  ac_status=$?
        10114  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10115  +  (exit $ac_status); }; }; then
        10116  +  tcl_cv_eh_disposition=yes
        10117  +else
        10118  +  echo "$as_me: failed program was:" >&5
        10119  +sed 's/^/| /' conftest.$ac_ext >&5
        10120  +
        10121  +tcl_cv_eh_disposition=no
        10122  +fi
        10123  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
        10124  +
        10125  +fi
        10126  +echo "$as_me:$LINENO: result: $tcl_cv_eh_disposition" >&5
        10127  +echo "${ECHO_T}$tcl_cv_eh_disposition" >&6
        10128  +	if test "$tcl_cv_eh_disposition" = "no" ; then
        10129  +
        10130  +cat >>confdefs.h <<\_ACEOF
        10131  +#define EXCEPTION_DISPOSITION int
        10132  +_ACEOF
        10133  +
        10134  +	fi
        10135  +
        10136  +	# Check to see if winnt.h defines CHAR, SHORT, and LONG
        10137  +	# even if VOID has already been #defined. The win32api
        10138  +	# used by mingw and cygwin is known to do this.
        10139  +
        10140  +	echo "$as_me:$LINENO: checking for winnt.h that ignores VOID define" >&5
        10141  +echo $ECHO_N "checking for winnt.h that ignores VOID define... $ECHO_C" >&6
        10142  +if test "${tcl_cv_winnt_ignore_void+set}" = set; then
        10143  +  echo $ECHO_N "(cached) $ECHO_C" >&6
        10144  +else
        10145  +  cat >conftest.$ac_ext <<_ACEOF
        10146  +/* confdefs.h.  */
        10147  +_ACEOF
        10148  +cat confdefs.h >>conftest.$ac_ext
        10149  +cat >>conftest.$ac_ext <<_ACEOF
        10150  +/* end confdefs.h.  */
        10151  +
        10152  +		#define VOID void
        10153  +		#define WIN32_LEAN_AND_MEAN
        10154  +		#include <windows.h>
        10155  +		#undef WIN32_LEAN_AND_MEAN
        10156  +
        10157  +int
        10158  +main ()
        10159  +{
        10160  +
        10161  +		CHAR c;
        10162  +		SHORT s;
        10163  +		LONG l;
        10164  +
        10165  +  ;
        10166  +  return 0;
        10167  +}
        10168  +_ACEOF
        10169  +rm -f conftest.$ac_objext
        10170  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
        10171  +  (eval $ac_compile) 2>conftest.er1
        10172  +  ac_status=$?
        10173  +  grep -v '^ *+' conftest.er1 >conftest.err
        10174  +  rm -f conftest.er1
        10175  +  cat conftest.err >&5
        10176  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10177  +  (exit $ac_status); } &&
        10178  +	 { ac_try='test -z "$ac_c_werror_flag"
        10179  +			 || test ! -s conftest.err'
        10180  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10181  +  (eval $ac_try) 2>&5
        10182  +  ac_status=$?
        10183  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10184  +  (exit $ac_status); }; } &&
        10185  +	 { ac_try='test -s conftest.$ac_objext'
        10186  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10187  +  (eval $ac_try) 2>&5
        10188  +  ac_status=$?
        10189  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10190  +  (exit $ac_status); }; }; then
        10191  +  tcl_cv_winnt_ignore_void=yes
        10192  +else
        10193  +  echo "$as_me: failed program was:" >&5
        10194  +sed 's/^/| /' conftest.$ac_ext >&5
        10195  +
        10196  +tcl_cv_winnt_ignore_void=no
        10197  +fi
        10198  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
        10199  +
        10200  +fi
        10201  +echo "$as_me:$LINENO: result: $tcl_cv_winnt_ignore_void" >&5
        10202  +echo "${ECHO_T}$tcl_cv_winnt_ignore_void" >&6
        10203  +	if test "$tcl_cv_winnt_ignore_void" = "yes" ; then
        10204  +
        10205  +cat >>confdefs.h <<\_ACEOF
        10206  +#define HAVE_WINNT_IGNORE_VOID 1
        10207  +_ACEOF
        10208  +
        10209  +	fi
        10210  +
        10211  +	# See if the compiler supports casting to a union type.
        10212  +	# This is used to stop gcc from printing a compiler
        10213  +	# warning when initializing a union member.
        10214  +
        10215  +	echo "$as_me:$LINENO: checking for cast to union support" >&5
        10216  +echo $ECHO_N "checking for cast to union support... $ECHO_C" >&6
        10217  +if test "${tcl_cv_cast_to_union+set}" = set; then
        10218  +  echo $ECHO_N "(cached) $ECHO_C" >&6
        10219  +else
        10220  +  cat >conftest.$ac_ext <<_ACEOF
        10221  +/* confdefs.h.  */
        10222  +_ACEOF
        10223  +cat confdefs.h >>conftest.$ac_ext
        10224  +cat >>conftest.$ac_ext <<_ACEOF
        10225  +/* end confdefs.h.  */
        10226  +
        10227  +int
        10228  +main ()
        10229  +{
        10230  +
        10231  +		  union foo { int i; double d; };
        10232  +		  union foo f = (union foo) (int) 0;
        10233  +
        10234  +  ;
        10235  +  return 0;
        10236  +}
        10237  +_ACEOF
        10238  +rm -f conftest.$ac_objext
        10239  +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
        10240  +  (eval $ac_compile) 2>conftest.er1
        10241  +  ac_status=$?
        10242  +  grep -v '^ *+' conftest.er1 >conftest.err
        10243  +  rm -f conftest.er1
        10244  +  cat conftest.err >&5
        10245  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10246  +  (exit $ac_status); } &&
        10247  +	 { ac_try='test -z "$ac_c_werror_flag"
        10248  +			 || test ! -s conftest.err'
        10249  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10250  +  (eval $ac_try) 2>&5
        10251  +  ac_status=$?
        10252  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10253  +  (exit $ac_status); }; } &&
        10254  +	 { ac_try='test -s conftest.$ac_objext'
        10255  +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
        10256  +  (eval $ac_try) 2>&5
        10257  +  ac_status=$?
        10258  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        10259  +  (exit $ac_status); }; }; then
        10260  +  tcl_cv_cast_to_union=yes
        10261  +else
        10262  +  echo "$as_me: failed program was:" >&5
        10263  +sed 's/^/| /' conftest.$ac_ext >&5
        10264  +
        10265  +tcl_cv_cast_to_union=no
        10266  +fi
        10267  +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
        10268  +
        10269  +fi
        10270  +echo "$as_me:$LINENO: result: $tcl_cv_cast_to_union" >&5
        10271  +echo "${ECHO_T}$tcl_cv_cast_to_union" >&6
        10272  +	if test "$tcl_cv_cast_to_union" = "yes"; then
        10273  +
        10274  +cat >>confdefs.h <<\_ACEOF
        10275  +#define HAVE_CAST_TO_UNION 1
        10276  +_ACEOF
        10277  +
        10278  +	fi
        10279  +    fi
  9152  10280   
  9153  10281   
  9154  10282   
  9155  10283   
  9156  10284   
  9157  10285   
  9158  10286   
................................................................................
  9934  11062     enableval="$enable_symbols"
  9935  11063     tcl_ok=$enableval
  9936  11064   else
  9937  11065     tcl_ok=no
  9938  11066   fi;
  9939  11067       DBGX=""
  9940  11068       if test "$tcl_ok" = "no"; then
  9941         -	CFLAGS_DEFAULT="${CFLAGS_OPTIMIZE}"
  9942         -	LDFLAGS_DEFAULT="${LDFLAGS_OPTIMIZE}"
        11069  +	CFLAGS_DEFAULT='${CFLAGS_OPTIMIZE}'
        11070  +	LDFLAGS_DEFAULT='${LDFLAGS_OPTIMIZE}'
  9943  11071   	echo "$as_me:$LINENO: result: no" >&5
  9944  11072   echo "${ECHO_T}no" >&6
  9945  11073       else
  9946         -	CFLAGS_DEFAULT="${CFLAGS_DEBUG}"
  9947         -	LDFLAGS_DEFAULT="${LDFLAGS_DEBUG}"
        11074  +	CFLAGS_DEFAULT='${CFLAGS_DEBUG}'
        11075  +	LDFLAGS_DEFAULT='${LDFLAGS_DEBUG}'
  9948  11076   	if test "$tcl_ok" = "yes"; then
  9949  11077   	    echo "$as_me:$LINENO: result: yes (standard debugging)" >&5
  9950  11078   echo "${ECHO_T}yes (standard debugging)" >&6
  9951  11079   	fi
  9952  11080       fi
  9953  11081       # TEA specific:
  9954  11082       if test "${TEA_PLATFORM}" != "windows" ; then
................................................................................
 10800  11928   s,@TCL_SRC_DIR@,$TCL_SRC_DIR,;t t
 10801  11929   s,@TCL_LIB_FILE@,$TCL_LIB_FILE,;t t
 10802  11930   s,@TCL_LIB_FLAG@,$TCL_LIB_FLAG,;t t
 10803  11931   s,@TCL_LIB_SPEC@,$TCL_LIB_SPEC,;t t
 10804  11932   s,@TCL_STUB_LIB_FILE@,$TCL_STUB_LIB_FILE,;t t
 10805  11933   s,@TCL_STUB_LIB_FLAG@,$TCL_STUB_LIB_FLAG,;t t
 10806  11934   s,@TCL_STUB_LIB_SPEC@,$TCL_STUB_LIB_SPEC,;t t
        11935  +s,@CC@,$CC,;t t
        11936  +s,@CFLAGS@,$CFLAGS,;t t
        11937  +s,@LDFLAGS@,$LDFLAGS,;t t
        11938  +s,@CPPFLAGS@,$CPPFLAGS,;t t
        11939  +s,@ac_ct_CC@,$ac_ct_CC,;t t
        11940  +s,@OBJEXT@,$OBJEXT,;t t
 10807  11941   s,@CLEANFILES@,$CLEANFILES,;t t
 10808  11942   s,@TCL_LIBS@,$TCL_LIBS,;t t
 10809  11943   s,@TCL_DEFS@,$TCL_DEFS,;t t
 10810  11944   s,@TCL_EXTRA_CFLAGS@,$TCL_EXTRA_CFLAGS,;t t
 10811  11945   s,@TCL_LD_FLAGS@,$TCL_LD_FLAGS,;t t
 10812  11946   s,@TCL_SHLIB_LD_LIBS@,$TCL_SHLIB_LD_LIBS,;t t
 10813         -s,@CC@,$CC,;t t
 10814         -s,@CFLAGS@,$CFLAGS,;t t
 10815         -s,@LDFLAGS@,$LDFLAGS,;t t
 10816         -s,@CPPFLAGS@,$CPPFLAGS,;t t
 10817         -s,@ac_ct_CC@,$ac_ct_CC,;t t
 10818         -s,@OBJEXT@,$OBJEXT,;t t
 10819  11947   s,@CPP@,$CPP,;t t
 10820  11948   s,@SET_MAKE@,$SET_MAKE,;t t
 10821  11949   s,@RANLIB@,$RANLIB,;t t
 10822  11950   s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 10823  11951   s,@EGREP@,$EGREP,;t t
 10824  11952   s,@MATH_LIBS@,$MATH_LIBS,;t t
 10825  11953   s,@PKG_SOURCES@,$PKG_SOURCES,;t t

Changes to configure.in.

     1      1   #!/bin/bash -norc
     2      2   dnl	This file is an input file used by the GNU "autoconf" program to
     3      3   dnl	generate the file "configure", which is run during Tcl installation
     4      4   dnl	to configure the system for the local environment.
     5         -#
     6         -# RCS: @(#) $Id: configure.in,v 1.52 2010/12/15 05:35:07 stwo Exp $
     7      5   
     8      6   #-----------------------------------------------------------------------
     9      7   # Sample configure.in for Tcl Extensions.  The only places you should
    10      8   # need to modify this file are marked by the string __CHANGE__
    11      9   #-----------------------------------------------------------------------
    12     10   
    13     11   #-----------------------------------------------------------------------

Changes to doc/man.macros.

    63     63   .\" .QW arg1 ?arg2?
    64     64   .\"	Print arg1 in quotes, then arg2 normally (for trailing punctuation).
    65     65   .\"
    66     66   .\" .PQ arg1 ?arg2?
    67     67   .\"	Print an open parenthesis, arg1 in quotes, then arg2 normally
    68     68   .\"	(for trailing punctuation) and then a closing parenthesis.
    69     69   .\"
    70         -.\" RCS: @(#) $Id: man.macros,v 1.1 2010/04/29 12:42:27 nijtmans Exp $
    71         -.\"
    72     70   .\"	# Set up traps and other miscellaneous stuff for Tcl/Tk man pages.
    73     71   .if t .wh -1.3i ^B
    74     72   .nr ^l \n(.l
    75     73   .ad b
    76     74   .\"	# Start an argument description
    77     75   .de AP
    78     76   .ie !"\\$4"" .TP \\$4

Changes to tea/design.txt.

   507    507      #
   508    508      #
   509    509      # Copyright (c) 1998-1999 by Scriptics Corporation.
   510    510      # Copyright (c) 2001, 2002 by Kevin B. Kenny.  All rights reserved.
   511    511      # See the file "license.terms" for information on usage and redistribution
   512    512      # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
   513    513      #
   514         -   #   $Id: design.txt,v 1.1 2004/05/24 12:27:28 arjenmarkus Exp $
   515         -   #
   516    514      # Branched from:
   517    515      # RCS: @(#) Id: tcl.decls,v 1.103 2004/03/17 18:14:12 das Exp
   518    516      # for the dict backport.
   519    517   
   520    518      library dict
   521    519   
   522    520      # Define the dict interface, no sub interfaces.

Changes to tea/packages.txt.

    64     64      #       loaded with the command "package require msgcat".
    65     65      #
    66     66      # Copyright (c) 1998-2000 by Ajuba Solutions.
    67     67      # Copyright (c) 1998 by Mark Harrison.
    68     68      #
    69     69      # See the file "license.terms" for information on usage and redistribution
    70     70      # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    71         -   #
    72         -   # RCS: @(#) $Id: packages.txt,v 1.3 2010/04/23 12:10:45 nijtmans Exp $
    73     71   
    74     72      package require Tcl 8.2
    75     73      # When the version number changes, be sure to update the pkgIndex.tcl file,
    76     74      # and the installation directory in the Makefiles.
    77     75      package provide msgcat 1.3
    78     76   
    79     77      namespace eval msgcat {

Changes to tests/all.tcl.

     2      2   #
     3      3   # This file contains a top-level script to run all of the Tcl
     4      4   # tests.  Execute it by invoking "source all.test" when running tcltest
     5      5   # in this directory.
     6      6   #
     7      7   # Copyright (c) 1998-2000 by Scriptics Corporation.
     8      8   # All rights reserved.
     9         -# 
    10         -# RCS: @(#) $Id: all.tcl,v 1.4 2004/07/04 22:04:20 patthoyts Exp $
    11      9   
    12     10   if {[lsearch [namespace children] ::tcltest] == -1} {
    13     11       package require tcltest
    14     12       namespace import ::tcltest::*
    15     13   }
    16     14   
    17     15   set ::tcltest::testSingleFile false

Changes to tests/sample.test.

     4      4   # built-in commands.  Sourcing this file into Tcl runs the tests and
     5      5   # generates output for errors.  No output means no errors were found.
     6      6   #
     7      7   # Copyright (c) 2000 by Scriptics Corporation.
     8      8   #
     9      9   # See the file "license.terms" for information on usage and redistribution
    10     10   # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    11         -#
    12         -# RCS: @(#) $Id: sample.test,v 1.2 2010/04/23 11:51:53 nijtmans Exp $
    13     11   
    14     12   if {[lsearch [namespace children] ::tcltest] == -1} {
    15     13       package require tcltest
    16     14       namespace import ::tcltest::*
    17     15   }
    18     16   
    19     17   package require sample

Changes to tests/tclsample.test.

     4      4   # built-in commands.  Sourcing this file into Tcl runs the tests and
     5      5   # generates output for errors.  No output means no errors were found.
     6      6   #
     7      7   # Copyright (c) 2000 by Scriptics Corporation.
     8      8   #
     9      9   # See the file "license.terms" for information on usage and redistribution
    10     10   # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    11         -#
    12         -# RCS: @(#) $Id: tclsample.test,v 1.3 2010/04/23 11:51:53 nijtmans Exp $
    13     11   
    14     12   if {[lsearch [namespace children] ::tcltest] == -1} {
    15     13       package require tcltest
    16     14       namespace import ::tcltest::*
    17     15   }
    18     16   
    19     17   package require sample

Changes to win/makefile.vc.

    13     13   # 
    14     14   # Copyright (c) 1995-1996 Sun Microsystems, Inc.
    15     15   # Copyright (c) 1998-2000 Ajuba Solutions.
    16     16   # Copyright (c) 2001 ActiveState Corporation.
    17     17   # Copyright (c) 2001-2002 David Gravereaux.
    18     18   # Copyright (c) 2003-2006 Pat Thoyts
    19     19   #
    20         -#-------------------------------------------------------------------------
    21         -# RCS: @(#)$Id: makefile.vc,v 1.14 2010/09/14 23:23:32 hobbs Exp $
    22     20   #-------------------------------------------------------------------------
    23     21   
    24     22   # Check to see we are configured to build with MSVC (MSDEVDIR or MSVCDIR)
    25     23   # or with the MS Platform SDK (MSSDK). Visual Studio .NET 2003 and 2005 define
    26     24   # VCINSTALLDIR instead. The MSVC Toolkit release defines yet another.
    27     25   !if !defined(MSDEVDIR) && !defined(MSVCDIR) && !defined(MSSDK) && !defined(VCINSTALLDIR) && !defined(VCToolkitInstallDir)
    28     26   MSG = ^

Changes to win/nmakehlp.c.

     6      6    *
     7      7    * Copyright (c) 2002 by David Gravereaux.
     8      8    * Copyright (c) 2006 by Pat Thoyts
     9      9    *
    10     10    * See the file "license.terms" for information on usage and redistribution of
    11     11    * this file, and for a DISCLAIMER OF ALL WARRANTIES.
    12     12    *
    13         - * ----------------------------------------------------------------------------
    14         - * RCS: @(#) $Id: nmakehlp.c,v 1.7 2008/06/18 11:01:42 patthoyts Exp $
    15     13    * ----------------------------------------------------------------------------
    16     14    */
    17     15   
    18     16   #define _CRT_SECURE_NO_DEPRECATE
    19     17   #include <windows.h>
    20     18   #define NO_SHLWAPI_GDI
    21     19   #define NO_SHLWAPI_STREAM

Changes to win/rules.vc.

     9      9   #
    10     10   # See the file "license.terms" for information on usage and redistribution
    11     11   # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
    12     12   # 
    13     13   # Copyright (c) 2001-2002 David Gravereaux.
    14     14   # Copyright (c) 2003-2008 Patrick Thoyts
    15     15   #
    16         -#------------------------------------------------------------------------------
    17         -# RCS: @(#) $Id: rules.vc,v 1.9 2009/05/04 23:47:55 patthoyts Exp $
    18     16   #------------------------------------------------------------------------------
    19     17   
    20     18   !ifndef _RULES_VC
    21     19   _RULES_VC = 1
    22     20   
    23     21   cc32		= $(CC)   # built-in default.
    24     22   link32		= link